%define module_name backports.ssl_match_hostname
%define fullversion %{version}%{alphatag}

Name:           python-backports-ssl_match_hostname
Version:        3.5.0.1
Release:        %mkrel 1
Summary:        The ssl.match_hostname() function from Python 3
Group:          Development/Python

License:        MIT
URL:            https://bitbucket.org/brandon/backports.ssl_match_hostname
Source0:        https://pypi.python.org/packages/source/b/%{module_name}/%{module_name}-%{version}.tar.gz

Requires:       python-backports
Requires:       python-ipaddress
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
The Secure Sockets layer is only actually secure if you check the hostname in
the certificate returned by the server to which you are connecting, and verify
that it matches to hostname that you are trying to reach.

But the matching logic, defined in RFC2818, can be a bit tricky to implement on
your own. So the ssl package in the Standard Library of Python 3.2 now includes
a match_hostname() function for performing this check instead of requiring
every application to implement the check separately.

This backport brings match_hostname() to users of earlier versions of Python.
The actual code inside comes verbatim from Python 3.2.


%prep
%setup -qn %{module_name}-%{version}
cp backports/ssl_match_hostname/README.txt ./


%build
%py2_build


%install
%py2_install
# This file is provided by python-backports
rm -f %{buildroot}%{python_sitelib}/backports/__init__.py*
 
%files
%doc README.txt
%{python2_sitelib}/*





%changelog
* Thu Dec 24 2015 philippem <philippem> 3.5.0.1-1.mga6
+ Revision: 914129
- update to 3.5.0.1, add missing requires

* Wed Oct 15 2014 umeabot <umeabot> 3.4.0.2-6.mga5
+ Revision: 739414
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.4.0.2-5.mga5
+ Revision: 728102
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.4.0.2-4.mga5
+ Revision: 687899
- Mageia 5 Mass Rebuild

  + juancho <juancho>
    - Remove %%{python_sitelib}/backports/__init__.py* as it is provided by python-backports

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Nov 05 2013 philippem <philippem> 3.4.0.2-1.mga4
+ Revision: 549713
- Update to 3.4.0.2 for a security fix http://bugs.python.org/issue17997 add missing sources
- Update to 3.4.0.2 for a security fix http://bugs.python.org/issue17997

* Tue Oct 22 2013 umeabot <umeabot> 3.4.0.1-3.mga4
+ Revision: 542969
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.4.0.1-2.mga4
+ Revision: 498155
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 04 2013 philippem <philippem> 3.4.0.1-1.mga4
+ Revision: 475135
- update to 3.4.0.1

* Thu Aug 29 2013 philippem <philippem> 3.2-0.1.a31.mga4
+ Revision: 472992
- imported package python-backports-ssl_match_hostname

